---
template: documentation
---

# Migrating from PHP-DI 4.x to 5.0

PHP-DI 5.0 is a new major version that comes with backward compatibility breaks.

This guide will (hopefully) help you migrate from a 4.x version to 5.0.

## Lazy injection

The [Ocramius/ProxyManager](https://github.com/Ocramius/ProxyManager) package comes with a lot of dependencies and is only useful only for lazy injection.

This package is not installed by default in v5.0 in order to lighten PHP-DI's dependencies.

If you want to use **lazy injection**, you now need to install it explicitly:

```json
{
    "require": {
        "mnapoli/php-di": "~5.0",
        "ocramius/proxy-manager": "~0.3"
    }
}
```

Read more in [#198](https://github.com/mnapoli/PHP-DI/issues/198) or in the [Lazy Injection documentation](../lazy-injection.md).
